> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sorsa.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Comprobar repost

> Comprueba si un usuario ha reposteado una publicación. El endpoint revisa hasta 100 reposts por solicitud. Si hay más, devuelve `next_cursor` para continuar la comprobación. Identifica al usuario con `username`, `user_link` o `user_id`.



## OpenAPI

````yaml /openapi-es.json post /check-retweet
openapi: 3.0.3
info:
  contact: {}
  title: API Sorsa.io
  version: '3.0'
servers:
  - url: https://api.sorsa.io/v3
security: []
paths:
  /check-retweet:
    post:
      tags:
        - Verificación
      summary: Comprobar repost
      description: >-
        Comprueba si un usuario ha reposteado una publicación. El endpoint
        revisa hasta 100 reposts por solicitud. Si hay más, devuelve
        `next_cursor` para continuar la comprobación. Identifica al usuario con
        `username`, `user_link` o `user_id`.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/verification.CheckRetweetReq'
        description: >-
          Se requieren el enlace de la publicación y el nombre de usuario;
          next_cursor es opcional.
        required: true
        x-originalParamName: payload
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/verification.CheckRetweetResp'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Solicitud incorrecta
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: No autorizado
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Acceso prohibido
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: No encontrado
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Demasiadas solicitudes
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Error interno del servidor
      security:
        - ApiKeyAuth: []
components:
  schemas:
    verification.CheckRetweetReq:
      properties:
        next_cursor:
          type: string
        tweet_link:
          type: string
        user_id:
          type: string
        user_link:
          type: string
        username:
          type: string
      type: object
    verification.CheckRetweetResp:
      properties:
        next_cursor:
          description: Cursor para comprobar más reposts si es necesario.
          type: string
        retweet:
          description: '`true` si el usuario ha reposteado la publicación.'
          type: boolean
        user_protected:
          description: '`true` si la cuenta del usuario comprobado está protegida.'
          type: boolean
      type: object
    handler.ErrorResponse:
      properties:
        message:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: ApiKey
      type: apiKey

````